package com.muyu.controller;

import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.domain.EngineLevelEntity;
import com.muyu.domain.EngineMaintenance;
import com.muyu.domain.EngineVersion;
import com.muyu.domain.constants.Result;
import com.muyu.service.EngineLevelService;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl-engine
 * @name：EngineLevel
 * @Date：2024/8/25 18:51
 */
@RestController
@RequestMapping("/level")
public class EngineLevelController {

    @Autowired
    EngineLevelService engineLevelService;

    /**
     * 查询
     */
    @PostMapping("/selectLevelList")
    public List<EngineLevelEntity> selectLevelList() {
        return engineLevelService.selectLevelLists();
    }

    /**
     * 新增
     */
    @PostMapping("/insert")
    public Result<EngineLevelEntity> insert(EngineLevelEntity engineLevelEntity) {
        return engineLevelService.insert(engineLevelEntity);
    }

    /**
     * 修改
     */
    @PostMapping("/update")
    public Result<EngineLevelEntity> update(EngineLevelEntity engineLevelEntity) {
        return engineLevelService.update(engineLevelEntity);
    }

    /**
     * 删除 id
     */
    @PostMapping("/delete/{id}")
    public Result delete(@PathVariable Integer id) {
        return engineLevelService.delete(id);
    }

    /**
     * 批量删除 id
     */
    @PostMapping("/deleteBatch")
    public Result deleteBatch(@RequestParam("id") Integer[] ids) {
        return engineLevelService.deleteBatch(ids);
    }

    /**
     * 回显 id
     */
    @PostMapping("/selectById/{id}")
    public Result selectById(@PathVariable Integer id) {
        return engineLevelService.selectById(id);
    }
}
